/*
 Theme Name:   Mod Home Solutions
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Choctaw Websites
 Author URI:   https://choctawwebsites.com
 Template:     generatepress
 Version:      0.1
*/

/* Fluid Typography Scale */

h1, .fs-h1 {
	font-size: clamp(3rem, 2.4355rem + 2.2582vw, 4.242rem);
}

h2, .fs-h2 {
	font-size: clamp(2.25rem, 1.8266rem + 1.6936vw, 3.1815rem);
}

h3, .fs-h3 {
	font-size: clamp(1.875rem, 1.5222rem + 1.4114vw, 2.6512rem);
}

h4, .fs-h4 {
	font-size: clamp(1.5rem, 1.2177rem + 1.1291vw, 2.121rem);
}

h5, .fs-h5 {
	font-size: clamp(1.25rem, 1.0148rem + 0.9409vw, 1.7675rem);
}

h6, .fs-h6 {
	font-size: clamp(1.125rem, 0.9133rem + 0.8468vw, 1.5907rem);
}

p, .fs-p {
	font-size: clamp(0.7072rem, 0.5741rem + 0.5323vw, 1rem);
}

/* Horizontal scroll section */
.gb-element-2aa5e479 {
  overflow-x: auto;
  overflow-y: hidden;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;

  /* hide scrollbar visually */
  scrollbar-width: none; /* Firefox */
}

.gb-element-2aa5e479::-webkit-scrollbar {
  display: none; /* Chrome, Safari */
}

/* GeneratePress: minimum 14px paragraph size on mobile */
@media (max-width: 1024px) {
  .entry-content p,
  p {
    font-size: 15px !important;
    line-height: 1.5;
  }
}

@media (max-width: 1300px) {
  .inside-header,
  .inside-navigation {
    padding-left: 25px;
    padding-right: 5px;
  }
}

/* Mobile only */
@media (max-width: 767px) {
  .gb-text-050ea654 {
    text-align: left !important;
    margin-left: 0 !important;
    margin-right: auto !important;
    justify-content: flex-start !important;
  }
}